NeoModules.Core 1.0.1

.NET Standard 2.0
Install-Package NeoModules.Core -Version 1.0.1
dotnet add package NeoModules.Core --version 1.0.1
<PackageReference Include="NeoModules.Core" Version="1.0.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add NeoModules.Core --version 1.0.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: NeoModules.Core, 1.0.1"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install NeoModules.Core as a Cake Addin
#addin nuget:?package=NeoModules.Core&version=1.0.1

// Install NeoModules.Core as a Cake Tool
#tool nuget:?package=NeoModules.Core&version=1.0.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

This package has all the Core data types and methods to support NeoModules project.

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.
  • .NETStandard 2.0

    • No dependencies.

NuGet packages (6)

Showing the top 5 NuGet packages that depend on NeoModules.Core:

Package Downloads
NeoModules.NEP6

Neo light wallet implementation, using NEP6 standard.

NeoModules.Rest

Neo related REST clients: neoscan.io API, notifications.neeeo.org API, monitor.cityofzion.io API and switcheo.exchange API

NeoModules.KeyPairs

Base dependency of NeoModules.NEP6project. It has the necessary original code from neo-project to support a light wallet.

NeoModules.NVM

Important: Not a full Neo VM, just has the necessary functions to support Neo NEP6

SwitcheoApi.NetCore

Api Library to access Switcheo Exchange api supporting .Net Standard

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.1 5,646 11/25/2018
1.0.0 984 9/28/2018
0.0.3 5,475 7/29/2018
0.0.3-beta 2,150 5/3/2018
0.0.2-beta 866 5/2/2018
0.0.1 1,158 4/13/2018

Added EmitSysCall